summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sys-fs/cromfs/cromfs-1.5.8.9.ebuild')
-rw-r--r--sys-fs/cromfs/cromfs-1.5.8.9.ebuild33
1 files changed, 33 insertions, 0 deletions
diff --git a/sys-fs/cromfs/cromfs-1.5.8.9.ebuild b/sys-fs/cromfs/cromfs-1.5.8.9.ebuild
new file mode 100644
index 000000000..8f9c474af
--- /dev/null
+++ b/sys-fs/cromfs/cromfs-1.5.8.9.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+DESCRIPTION="a FUSE based compressed read-only filesystem for Linux."
+HOMEPAGE="http://bisqwit.iki.fi/source/cromfs.html"
+SRC_URI="http://bisqwit.iki.fi/src/arch/${P}.tar.bz2"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+IUSE="static"
+
+DEPEND=">=sys-fs/fuse-2.5.2"
+RDEPEND="${DEPEND}"
+
+src_compile() {
+ sed -i -e '/upx/d' -e '/- strip/d' Makefile || \
+ die "sed failed to remove UPX and strip."
+ econf
+ emake || die "Make failed."
+}
+
+src_install() {
+ if use static; then
+ dobin cromfs-driver-static || \
+ die "Couldn't find the static binary to install."
+ fi
+ dobin cromfs-driver util/mkcromfs util/unmkcromfs util/cvcromfs || \
+ die "Some binaries failed to install."
+ dodoc doc/*.txt doc/FORMAT doc/ChangeLog || die "dodoc failed"
+ dohtml doc/*.html doc/*.png || die "dohtml failed"
+}